Bug 404701 - Control over queue expansion
Summary: Control over queue expansion
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp   
(Show other bugs)
Version: beta
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Kim van der Riet
QA Contact: Kim van der Riet
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-29 17:02 UTC by Rajith Attapattu
Modified: 2013-03-21 12:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 12:30:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rajith Attapattu 2007-11-29 17:02:12 UTC
Description of problem:
The broker memory goes really high if you have a slow consumer

Comment 1 Carl Trieloff 2008-05-20 16:47:17 UTC
Question is what to do when queue depth is to deep -- do we want to add a policy
in an upcoming release to close the publisher/ push back based on memory usage?



Comment 2 Gordon Sim 2008-06-19 20:11:35 UTC
Provide mechanisms/policies that allow systems to control the expansion of
queues. Details to be decided by further design and debate.

Comment 3 Carl Trieloff 2008-10-27 19:53:55 UTC

Assigned to Kim, as he is working this feature

Carl.


Note You need to log in before you can comment on or make changes to this bug.